// v0.3
#ifndef BOX_H
#define BOX_H

// Box type
// Used to simulate gravity and collides

typedef struct
{
	int x	:16;
	int y	:16;

	unsigned w	:8;
	unsigned h	:8;

	int vx	:8;
	int vy	:8;
	int last_vy	:8;
	int gravity	:8;
	//int is_mario;
} box_t;

void box_move(box_t * b);

void box_jump(box_t * b, int height);

#endif