#include "config.h"

#include <liblog.h>
#include <gint/display.h>
#include <keyboard.h>
#include <gint/keyboard.h>

extern image_t img_tickbox;

char loglevels[6][14]={"--all","--information","--warning","--critical","--fatal","--mute"};

void configmenu()
{
	mkb_clear();
	font_t const * const f=dfont(0);
	while (1)
	{
		dclear(C_WHITE);
		drect(0,0,128,7,C_BLACK);
		dtext(0,0,"Configuration Menu :  ", C_WHITE, C_NONE);
		
		dtext(0,9," > LOG", C_BLACK, C_NONE);
		dtext(0,17," ", C_BLACK, C_NONE);
		
		dtext(40,9,&loglevels[ll_get_level()][0],C_BLACK,C_NONE);
		dupdate();
		int key=mkb_getkey();
		if (key==KEY_EXIT)
			break;
	}
	mkb_clear();
	dfont(f);

}